## iio-sensor-proxy 3.3

=== meson_options.txt ===
option('udevrulesdir',
       description: 'udev rules directory',
       type: 'string',
       value: 'auto')
option('systemdsystemunitdir',
       description: 'systemd unit directory',
       type: 'string',
       value: 'auto')
option('gtk-tests',
       description: 'Whether to build GTK tests',
       type: 'boolean',
       value: false)
option('geoclue-user',
       description: 'The USER (existing) as which geoclue service is running',
       type: 'string',
       value: 'geoclue')
option('gtk_doc',
       type: 'boolean',
       value: false,
       description: 'Build docs')

## iio-sensor-proxy 1.1

=== debian/changelog ===
iio-sensor-proxy (1.1-1ubuntu1) xenial-security; urgency=medium

  [ Jeremy Bicha ]
  * SECURITY UPDATE: insecure dbus configuration (LP: #1666358)
    - debian/patches/iio-dbus-policy-security.patch:
      Patch from Debian, applied upstream. Restrict send_destination
      to "net.hadess.SensorProxy" in net.hadess.SensorProxy.conf

  [ Marc Deslauriers ]
  * debian/control: added udev to Build-Depends.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Feb 2017 07:55:12 -0500

iio-sensor-proxy (1.1-1) unstable; urgency=medium

  * [f9476d9] Imported Upstream version 1.1
    - Support for compasses (only accessible to GeoClue)
    - Fix service not starting in a number of cases
    - Fix excessive CPU usage monitoring light sensors on Macs
    - Support light sensors on some Samsung laptops
    - Fix incorrect sensor readings on some devices due to unit scaling
  * [9c15fa5] Drop patch fix-build-on-debian.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 14 Aug 2015 13:56:59 +0200

iio-sensor-proxy (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #789812)
  * [92dfd48] Call autogen with proper paths
  * [5b28b58] Fix indentation for package description
  * [f5f3661] Add GPL-2 only license
  * [0f1b7e8] Update debian/copyright with mention of the GFDL
    components
  * [34048af] Order the license text
  * [fc69ec1] Breark extended description line

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Jul 2015 18:07:14 +0530

=== debian/control ===
Source: iio-sensor-proxy
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, udev, gnome-common (>= 3.14), gtk-doc-tools (>= 1.0)
Standards-Version: 3.9.3
Homepage: https://github.com/hadess/iio-sensor-proxy
Vcs-Git: git://anonscm.debian.org/collab-maint/iio-sensor-proxy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iio-sensor-proxy.git;a=summary

Package: iio-sensor-proxy
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, systemd 
Description: IIO sensors to D-Bus proxy
 Industrial I/O subsystem is intended to provide support for devices
 that in some sense are analog to digital or digital to analog convertors 
 .
 Devices that fall into this category are:
  * ADCs
  * Accelerometers
  * Gyros
  * IMUs
  * Capacitance to Digital Converters (CDCs)
  * Pressure Sensors
  * Color, Light and Proximity Sensors
  * Temperature Sensors
  * Magnetometers
  * DACs
  * DDS (Direct Digital Synthesis)
  * PLLs (Phase Locked Loops)
  * Variable/Programmable Gain Amplifiers (VGA, PGA)
 .
 Many ultrabooks ship with some of these devices. iio-sensor-proxy is
 intended to serve as a proxy, providing access to these devices through
 a D-Bus interface

=== debian/rules ===
#!/usr/bin/make -f
#

# Enable Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ 

override_dh_auto_configure:
	./autogen.sh --prefix=/ --exec-prefix=/usr

## iio-sensor-proxy 1.3

=== debian/changelog ===
iio-sensor-proxy (1.3-1) unstable; urgency=medium

  * [0eb91a9] New upstream version 1.3 (Closes: #837783)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 17 Sep 2016 14:35:32 +0530

iio-sensor-proxy (1.2-1) unstable; urgency=medium

  * [18b7881] New upstream version 1.2
  * [a9b0ba1] Drop configure through autogen.sh
  * [15aff86] Drop build dependency on gnome-common (Closes: #829882)
  * [60475ec] Fix Vcs URLs
  * [ef51a93] Update Standards Version to 3.9.8. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 12 Sep 2016 21:36:29 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: iio-sensor-proxy
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, udev, gnome-common (>= 3.14), gtk-doc-tools (>= 1.0)
-Standards-Version: 3.9.3
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, gtk-doc-tools (>= 1.0)
+Standards-Version: 3.9.8
 Homepage: https://github.com/hadess/iio-sensor-proxy
-Vcs-Git: git://anonscm.debian.org/collab-maint/iio-sensor-proxy
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iio-sensor-proxy.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/iio-sensor-proxy
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iio-sensor-proxy.git
 
 Package: iio-sensor-proxy
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,5 @@
 %:
 	dh $@ 
 
-override_dh_auto_configure:
-	./autogen.sh --prefix=/ --exec-prefix=/usr
+#override_dh_auto_configure:
+#	./autogen.sh --prefix=/ --exec-prefix=/usr

## iio-sensor-proxy 2.0

=== debian/changelog ===
iio-sensor-proxy (2.0-4) unstable; urgency=medium

  * [ea2615f] Restrict D-Bus policy rules only to affect SensorProxy.
    Thanks to Simon McVittie (Closes: #853951)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 02 Feb 2017 19:08:47 +0530

iio-sensor-proxy (2.0-3) unstable; urgency=medium

  * [827854b] Enable integration with systemd.
    Thanks to Julien Cristau (Closes: #852597)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 25 Jan 2017 22:09:12 +0530

iio-sensor-proxy (2.0-2) unstable; urgency=medium

  * [1e47de0] Cherry pick patch from upstream. Known to fix data read
    issues on some devices

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 28 Dec 2016 22:41:44 +0530

iio-sensor-proxy (2.0-1) unstable; urgency=medium

  * [e44c466] New upstream version 2.0
  * [866a7e6] Add libgtk-3-dev to build dependency

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 21 Dec 2016 22:32:51 +0530

iio-sensor-proxy (1.3-2) unstable; urgency=medium

  * [a75db2c] Add udev and systemd to build depends.
    Thanks to James Cowgill (Closes: #843175)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 04 Nov 2016 23:57:35 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, gtk-doc-tools (>= 1.0)
+Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev, dh-systemd (>= 1.5)
 Standards-Version: 3.9.8
 Homepage: https://github.com/hadess/iio-sensor-proxy
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/iio-sensor-proxy

## iio-sensor-proxy 2.2

=== debian/changelog ===
iio-sensor-proxy (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * Drop cherry-picked patches. Now part of upstream release
  * Add debian/watch from Ubuntu changes
  * Change copyright format url to https
  * Update Standards Version to 4.0.0
  * Update copyright to include newer files

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 04 Aug 2017 15:52:27 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev, dh-systemd (>= 1.5)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/hadess/iio-sensor-proxy
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/iio-sensor-proxy
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iio-sensor-proxy.git

## iio-sensor-proxy 2.4

=== debian/changelog ===
iio-sensor-proxy (2.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 01 Feb 2018 20:39:37 +0530

iio-sensor-proxy (2.4-1) experimental; urgency=medium

  * New upstream version 2.4 (Closes: #876379)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 31 Jan 2018 22:32:53 +0530

iio-sensor-proxy (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Drop build dependency on obsolete dh-systemd pacakge

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Sep 2017 21:08:18 +0545

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.20120312), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev, dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9.20160709), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev
 Standards-Version: 4.0.0
 Homepage: https://github.com/hadess/iio-sensor-proxy
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/iio-sensor-proxy
@@ -10,10 +10,10 @@
 
 Package: iio-sensor-proxy
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, systemd 
+Depends: ${shlibs:Depends}, ${misc:Depends}, systemd
 Description: IIO sensors to D-Bus proxy
  Industrial I/O subsystem is intended to provide support for devices
- that in some sense are analog to digital or digital to analog convertors 
+ that in some sense are analog to digital or digital to analog convertors
  .
  Devices that fall into this category are:
   * ADCs

=== debian/watch ===
version=4
https://github.com/hadess/iio-sensor-proxy/releases/ \
 .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## iio-sensor-proxy 2.5

=== debian/changelog ===
iio-sensor-proxy (2.5-0ubuntu1) cosmic; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Oct 2018 16:00:31 +0200

## iio-sensor-proxy 2.8

=== debian/changelog ===
iio-sensor-proxy (2.8-1ubuntu2) focal; urgency=medium

  * d/p/0003-prefer-buffer-driver-to-polling-driver.patch:
      Prefer buffer driver to polling driver for ALS
      (LP: #1963628)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Fri, 01 Apr 2022 10:35:41 +0800

iio-sensor-proxy (2.8-1ubuntu1) focal; urgency=medium

  * Support polling for sensor using raw value (LP: #1926280)
    d/p/0001-light-Support-sensors-using-raw-values-as-well.patch
    d/p/0001-drivers-Support-multi-function-sensors.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 27 Apr 2021 17:28:32 +0800

iio-sensor-proxy (2.8-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release. (Closes: #935267)
  * New upstream version 2.8
  * debian/control: Update Vcs-*: fields.
    Packaging Git has been migrated to salsa.debian.org.
  * debian/control: Drop systemd from D, move to S instead.
    (Closes: #901187)

  [ Ritesh Raj Sarraf ]
  * Set wildcard declaration to first to keep lintian clean
  * Remove unused patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 11 Nov 2019 19:16:28 +0530

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: iio-sensor-proxy
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>= 9.20160709), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev
 Standards-Version: 4.0.0
 Homepage: https://github.com/hadess/iio-sensor-proxy
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/iio-sensor-proxy
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iio-sensor-proxy.git
+Vcs-Git: https://salsa.debian.org/debian/iio-sensor-proxy.git
+Vcs-Browser: https://salsa.debian.org/debian/iio-sensor-proxy/
 
 Package: iio-sensor-proxy
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, systemd
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: systemd
 Description: IIO sensors to D-Bus proxy
  Industrial I/O subsystem is intended to provide support for devices
  that in some sense are analog to digital or digital to analog convertors

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ 
+	dh $@ --with systemd
 
 #override_dh_auto_configure:
 #	./autogen.sh --prefix=/ --exec-prefix=/usr

## iio-sensor-proxy 3.0

=== debian/changelog ===
iio-sensor-proxy (3.0-2) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Shift override to binary package
  * Bump Standards Version to 4.5.1

  [ Guido Günther ]
  * proximity: Get near-level from sysfs if available. This allows
    to use proximity sensors on device tree based devices like
    the Librem 5. (Closes: #981095)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 29 Jan 2021 12:35:45 +0530

iio-sensor-proxy (3.0-1) unstable; urgency=medium

  [ David Heidelberg ]
  * update watch file, source git has been moved to freedesktop gitlab
  * copyright: correctly specify GFDL as 1.1 and update source URL
  * rules: remove deprecated --with systemd
  * fill upstream/metadata
  * control: update Standards to 4.5.0 and compat to 12
  * salsa-ci.yml: enable CI
  * lintian-overrides: silence missing documentation

  [ Ritesh Raj Sarraf ]
  * New upstream version 3.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 30 Apr 2020 14:13:43 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: iio-sensor-proxy
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.20160709), libgudev-1.0-dev, udev, systemd, gtk-doc-tools (>= 1.0), libgtk-3-dev
-Standards-Version: 4.0.0
-Homepage: https://github.com/hadess/iio-sensor-proxy
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Build-Depends:
+	debhelper-compat (= 12),
+	libgudev-1.0-dev,
+	udev,
+	systemd,
+	gtk-doc-tools (>= 1.0),
+	libgtk-3-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://gitlab.freedesktop.org/hadess/iio-sensor-proxy
 Vcs-Git: https://salsa.debian.org/debian/iio-sensor-proxy.git
 Vcs-Browser: https://salsa.debian.org/debian/iio-sensor-proxy/

## iio-sensor-proxy 3.3

=== debian/changelog ===
iio-sensor-proxy (3.3-0ubuntu6) jammy; urgency=medium

  * d/p/0003-prefer-buffer-driver-to-polling-driver.patch:
      Prefer buffer driver to polling driver for ALS
      (lp: #1963628)
  * d/p/0002-force-iio-buffer-als-on-some-dell-models.patch:
      Removed in favor of the patch above

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Fri, 18 Mar 2022 12:02:27 +0800

iio-sensor-proxy (3.3-0ubuntu5) jammy; urgency=medium

  * d/p/0002-force-iio-buffer-als-on-some-dell-models.patch:
      Force IIO_SENSOR_PROXY_TYPE to iio-buffer-als only for certain Dell
      models (LP: #1947955)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Fri, 04 Mar 2022 15:19:47 +0800

iio-sensor-proxy (3.3-0ubuntu3.2) impish; urgency=medium

  * debian/patches/ubuntu_tests_timeout.patch:
    - increase the tests timeout to avoid failing on riscv

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Sep 2021 11:03:01 +0200

iio-sensor-proxy (3.3-0ubuntu3.1) impish; urgency=medium

  * Build-Depends on language-pack-fr and unset the locale for tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Aug 2021 16:37:10 +0200

iio-sensor-proxy (3.3-0ubuntu3) impish; urgency=medium

  * Build using libudev

 -- Sebastien Bacher <seb128@debian.org>  Mon, 23 Aug 2021 17:31:03 +0200

iio-sensor-proxy (3.3-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/control:
    - updated libgudev requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Aug 2021 16:17:25 +0200

iio-sensor-proxy (3.1-0ubuntu2) impish; urgency=medium

  * debian/rules: 
    - workaround the s390x build failure, the package is not going to be
      used on this architecture anyway

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Jun 2021 16:06:25 +0200

iio-sensor-proxy (3.1-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/control.in:
    - updated Build-Depends for the new integration tests
  * debian/patches/proximity-Get-near-level-from-sysfs-if-available.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@debian.org>  Tue, 15 Jun 2021 15:23:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,23 @@
 Source: iio-sensor-proxy
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends:
 	debhelper-compat (= 12),
-	libgudev-1.0-dev,
+	language-pack-fr,
+	libgudev-1.0-dev (>= 1:237),
+	libudev-dev,
 	udev,
 	systemd,
 	gtk-doc-tools (>= 1.0),
-	libgtk-3-dev
+	libgtk-3-dev,
+	meson,
+	gir1.2-umockdev-1.0,
+	python3-dbusmock,
+	python3-gi,
+	python3-psutil,
+	umockdev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/hadess/iio-sensor-proxy

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with systemd
-
-#override_dh_auto_configure:
-#	./autogen.sh --prefix=/ --exec-prefix=/usr
+	dh $@
+	
+override_dh_auto_test:
+ifeq (,$(filter $(DEB_HOST_ARCH), s390x))
+	cd obj-$(DEB_HOST_GNU_TYPE); LC_ALL= ninja test
+else
+	cd obj-$(DEB_HOST_GNU_TYPE); LC_ALL= ninja test || true
+endif

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/tags?sort=updated_desc .*/uploads/[^/]*/iio-sensor-proxy-(.+)\.tar\.xz.*

## iio-sensor-proxy 3.4

=== debian/changelog ===
iio-sensor-proxy (3.4-0ubuntu2) kinetic; urgency=medium

  * debian/control: build-depends on libpolkit-gobject-1-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Sep 2022 17:30:06 +0200

iio-sensor-proxy (3.4-0ubuntu1) kinetic; urgency=medium

  * New upstream version
  * debian/patches/ubuntu_tests_timeout.patch:
    - removed, upstream resolved it by splitting the tests
  * debian/patches/0003-prefer-buffer-driver-to-polling-driver.patch:
    - removed, it has been resolved another way in the new version
  * debian/patches/build_older_polkit.patch:
    - allow building with our polkit version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Sep 2022 10:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	debhelper-compat (= 12),
 	language-pack-fr,
 	libgudev-1.0-dev (>= 1:237),
+	libpolkit-gobject-1-dev,
 	libudev-dev,
 	udev,
 	systemd,

## iio-sensor-proxy 3.5

=== debian/changelog ===
iio-sensor-proxy (3.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:58:13 +0000

iio-sensor-proxy (3.5-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:08:12 +0000

iio-sensor-proxy (3.5-1) unstable; urgency=medium

  * New upstream release
    - Install D-Bus policy to /usr instead of /etc/ (Closes: #1041775)
  * debian/control: Build-Depend on locales-all for new build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 07:45:33 -0400

iio-sensor-proxy (3.4-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper from old 12 to 13
  * debian/control: Remove obsolete constraint
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Jun 2023 12:07:58 -0400

iio-sensor-proxy (3.4-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
  * Drop patches. Appplied upstream
  * d/control: Update build-dependencies
  * d/gbp.conf: Use upstream-vcs
  * d/watch: Make it match fdo gitlab
  * Add myself as uploader

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 Apr 2023 15:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
-	debhelper-compat (= 12),
-	language-pack-fr,
-	libgudev-1.0-dev (>= 1:237),
-	libpolkit-gobject-1-dev,
-	libudev-dev,
+	debhelper-compat (= 13),
+	libgudev-1.0-dev,
+        locales-all,
+	meson,
 	udev,
 	systemd,
-	gtk-doc-tools (>= 1.0),
+	gtk-doc-tools,
 	libgtk-3-dev,
-	meson,
-	gir1.2-umockdev-1.0,
-	python3-dbusmock,
-	python3-gi,
-	python3-psutil,
-	umockdev,
-Standards-Version: 4.5.1
+        libpolkit-gobject-1-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/hadess/iio-sensor-proxy
 Vcs-Git: https://salsa.debian.org/debian/iio-sensor-proxy.git

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/tags?sort=updated_desc .*/archive/[^/]*/iio-sensor-proxy-(.+)\.tar\.gz.*

## iio-sensor-proxy 3.6

=== debian/changelog ===
iio-sensor-proxy (3.6-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Feb 2025 23:25:09 +0100

iio-sensor-proxy (3.5-2) unstable; urgency=medium

  * d/control: B-D on systemd-dev instead of udev/systemd (Closes: #1060562)
  * Fix mismatched lintian overrides
  * Add superficial autopkgtest
  * Override systemd-service-file-missing-install-key.  It's a DBus activated
    service

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Jul 2024 09:38:42 +0200

## iio-sensor-proxy 3.7

=== debian/changelog ===
iio-sensor-proxy (3.7-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release

  [ Michael Biebl ]
  * Remove obsolete conffile /etc/dbus-1/system.d/net.hadess.SensorProxy.conf
    on upgrades (Closes: #1050227)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Mar 2025 22:32:23 +0100

=== debian/tests/control ===
Test-Command: /usr/libexec/iio-sensor-proxy --help
Restrictions: superficial
Depends:
 @,

## iio-sensor-proxy 3.8

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
        description: 'systemd unit directory',
        type: 'string',
        value: 'auto')
+option('tests',
+       description: 'Whether to run tests',
+       type: 'boolean',
+       value: false)
 option('gtk-tests',
        description: 'Whether to build GTK tests',
        type: 'boolean',

=== debian/changelog ===
iio-sensor-proxy (3.8-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches.
    These were cherry-picked from upstream and are now part of the release.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Oct 2025 19:51:10 +0100

iio-sensor-proxy (3.7-3) unstable; urgency=medium

  * Backport upstream fixes to check not accidentally use buffer
    driver.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Jul 2025 10:08:39 +0200

iio-sensor-proxy (3.7-2) unstable; urgency=medium

  * Upload to unstable
  * tests: --help check cli as well

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Mar 2025 11:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: iio-sensor-proxy
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
 	debhelper-compat (= 13),
 	libgudev-1.0-dev,
         locales-all,
 	meson,
-	udev,
-	systemd,
+	systemd-dev,
 	gtk-doc-tools,
 	libgtk-3-dev,
         libpolkit-gobject-1-dev,

=== debian/rules ===
#!/usr/bin/make -f
#

# Enable Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

#override_dh_auto_configure:
#	./autogen.sh --prefix=/ --exec-prefix=/usr

=== debian/tests/control ===
Test-Command: /usr/libexec/iio-sensor-proxy --help && monitor-sensor --help
Restrictions: superficial
Depends:
 @,

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/hadess/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
